:- include('configuration.ami.pl').

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% transformace ID
fixed_person_translate(closeup1, b).
fixed_person_translate(closeup2, d).
fixed_person_translate(closeup3, a).
fixed_person_translate(closeup4, c).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% nadrazene kamery
%fixed_parent_camera(11, 1).
%fixed_parent_camera(12, 1).
fixed_parent_camera(21, 2).
fixed_parent_camera(22, 2).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% prehledove zabery
fixed_visible(a, 2, 0.75).
fixed_visible(c, 2, 0.75).
fixed_visible(b, 2, 0.25).
fixed_visible(d, 2, 0.25).

fixed_visible(a, 3, 0.5).
fixed_visible(c, 3, 0.5).
fixed_visible(b, 3, 0.5).
fixed_visible(d, 3, 0.5).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% detailni zabery
fixed_visible(a, 21, 1).
fixed_visible(b, 11, 1).
fixed_visible(c, 22, 1).
fixed_visible(d, 12, 1).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% prehledove zabery
fixed_visibility_regarding_state(2, [a, b, c, d], [stand_whiteboard, stand_screen, move, other], 0).
fixed_visibility_regarding_state(3, [a, b, c, d], [stand_whiteboard, stand_screen, move, other], 2).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% detailni zabery
fixed_visibility_regarding_state(11, [a, b, c, d], [stand_whiteboard, stand_screen, move, other, off_camera], 0).
fixed_visibility_regarding_state(12, [a, b, c, d], [stand_whiteboard, stand_screen, move, other, off_camera], 0).
fixed_visibility_regarding_state(21, [a, b, c, d], [stand_whiteboard, stand_screen, move, other, off_camera], 0).
fixed_visibility_regarding_state(22, [a, b, c, d], [stand_whiteboard, stand_screen, move, other, off_camera], 0).
